@ECHO OFF
REM ======================================================================
REM MS-DOS batch to trace pPKP+pPKiKP,pPKIKP,PKP+PKiKP,PKIKP rays in PREM
REM ======================================================================
REM Ray tracing in PREM (4 elementary waves):
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ECHO 'prem-crt.dat' / >crt.tmp
ECHO                 >>crt.tmp
ECHO                 >>crt.tmp
ECHO                 >>crt.tmp
ECHO                 >>crt.tmp
    crt               <crt.tmp
DEL                    crt.tmp
REM Note: 4 blank lines in crt.tmp are required only if 'scronum.for' is
REM       replaced with 'scropc.for'.  Otherwise, the above lines can be
REM       simplified to a single line:
REM       echo 'prem-crt.dat' /Icrt
REM       where I stands for the piping command.
REM ....................................................................
REM Rewriting the travel times at the receivers into formatted files:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ECHO 'prem-rec.dat' ' '   'ppkp.tmp'   'ppkp1.tmp'   'ppkp.out' 4 0 1 0 /|crtpts
ECHO 'prem-rec.dat' ' ' 'ppkikp.tmp' 'ppkikp1.tmp' 'ppkikp.out' 4 0 1 0 /|crtpts
ECHO 'prem-rec.dat' ' '    'pkp.tmp'    'pkp1.tmp'    'pkp.out' 4 0 1 0 /|crtpts
ECHO 'prem-rec.dat' ' '  'pkikp.tmp'  'pkikp1.tmp'  'pkikp.out' 4 0 1 0 /|crtpts
REM ======================================================================
